<?php    
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class RelCancelamentoItem  {

    protected $RelCancelamentoItem;
    protected $utilService;
    
    public function __construct(Services\RelCancelamentoItem $RelCancelamentoItem, Utilities\Util $utilService) {
        $this->RelCancelamentoItem = $RelCancelamentoItem;
        $this->utilService = $utilService;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        
        $conditions = $this->utilService->getParamsAsArray($request);
        $conditions = $this->RelCancelamentoItem->buildParamsFaturamento($conditions);
        $result = $this->RelCancelamentoItem->find($conditions);
        if($result) {
            $result = $this->RelCancelamentoItem->reorderResultsbyDate($result);
        }
        $response->addDataSet(new DataSet("vnd55006_relCancelamentoItem", $result));
        return $response;
    }
}